## 52641-amarokFS-0.5.tar.gz

=== Makefile ===
#############################################################################
# Makefile for building: amarokFS
# Generated by qmake (1.07a) (Qt 3.3.6) on: Mon Mar 19 13:27:26 2007
# Project:  amarokFS-xml.pro
# Template: app
# Command: $(QMAKE) -o Makefile amarokFS-xml.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/kde -I/usr/local/include/kde -I/usr/include -I/opt/kde3/include -I/opt/kde/include -I/usr/kde/3.5/include -I/usr/include/qt3
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lkdecore -L/opt/kde3/lib -L/usr/local/kde3/lib -L/usr/lib/qt3 -L/opt/kde/lib -L/usr/kde/3.5/lib -lkio -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = amfs-xml.h \
		cb.h \
		label-command.h \
		amarokfs_config.h \
		label-pixmap.h
SOURCES = main.cpp \
		amfs-xml.cpp \
		cb.cpp \
		label-command.cpp \
		amarokfs_config.cpp \
		label-pixmap.cpp
OBJECTS = main.o \
		amfs-xml.o \
		cb.o \
		label-command.o \
		amarokfs_config.o \
		label-pixmap.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = moc_amfs-xml.cpp \
		moc_cb.cpp \
		moc_label-command.cpp \
		moc_amarokfs_config.cpp \
		moc_label-pixmap.cpp
OBJMOC = moc_amfs-xml.o \
		moc_cb.o \
		moc_label-command.o \
		moc_amarokfs_config.o \
		moc_label-pixmap.o
DIST	   = amarokFS-xml.pro
QMAKE_TARGET = amarokFS
DESTDIR  = 
TARGET   = amarokFS

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: amarokFS-xml.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile amarokFS-xml.pro
qmake: 
	@$(QMAKE) -o Makefile amarokFS-xml.pro

dist: 
	@mkdir -p .tmp/amarokFS && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/amarokFS/ && ( cd `dirname .tmp/amarokFS` && $(TAR) amarokFS.tar amarokFS && $(GZIP) amarokFS.tar ) && $(MOVE) `dirname .tmp/amarokFS`/amarokFS.tar.gz . && $(DEL_FILE) -r .tmp/amarokFS

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

main.o: main.cpp amfs-xml.h \
		amarokfs_config.h \
		cb.h \
		label-command.h \
		label-pixmap.h

amfs-xml.o: amfs-xml.cpp amfs-xml.h \
		amarokfs_config.h \
		cb.h \
		label-command.h \
		label-pixmap.h

cb.o: cb.cpp cb.h

label-command.o: label-command.cpp label-command.h

amarokfs_config.o: amarokfs_config.cpp amarokfs_config.h

label-pixmap.o: label-pixmap.cpp label-pixmap.h

moc_amfs-xml.o: moc_amfs-xml.cpp  amfs-xml.h cb.h \
		label-command.h \
		amarokfs_config.h \
		label-pixmap.h

moc_cb.o: moc_cb.cpp  cb.h 

moc_label-command.o: moc_label-command.cpp  label-command.h 

moc_amarokfs_config.o: moc_amarokfs_config.cpp  amarokfs_config.h 

moc_label-pixmap.o: moc_label-pixmap.cpp  label-pixmap.h 

moc_amfs-xml.cpp: $(MOC) amfs-xml.h
	$(MOC) amfs-xml.h -o moc_amfs-xml.cpp

moc_cb.cpp: $(MOC) cb.h
	$(MOC) cb.h -o moc_cb.cpp

moc_label-command.cpp: $(MOC) label-command.h
	$(MOC) label-command.h -o moc_label-command.cpp

moc_amarokfs_config.cpp: $(MOC) amarokfs_config.h
	$(MOC) amarokfs_config.h -o moc_amarokfs_config.cpp

moc_label-pixmap.cpp: $(MOC) label-pixmap.h
	$(MOC) label-pixmap.h -o moc_label-pixmap.cpp

####### Install

install_target: all 
	@$(CHK_DIR_EXISTS) "$(INSTALL_ROOT)/usr/local/bin/" || $(MKDIR) "$(INSTALL_ROOT)/usr/local/bin/"
	-$(INSTALL_FILE) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-strip "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/local/bin/"


install_images: all 
	@$(CHK_DIR_EXISTS) "$(INSTALL_ROOT)/usr/share/amarokFS/images/" || $(MKDIR) "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-$(INSTALL_FILE) "images/gradient.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-$(INSTALL_FILE) "images/logo.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-strip "$(INSTALL_ROOT)/usr/share/amarokFS/images/logo.png"
	-$(INSTALL_FILE) "images/logoB.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-strip "$(INSTALL_ROOT)/usr/share/amarokFS/images/logoB.png"
	-$(INSTALL_FILE) "images/player_end.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-$(INSTALL_FILE) "images/player_end2.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-strip "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_end2.png"
	-$(INSTALL_FILE) "images/player_pause.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-$(INSTALL_FILE) "images/player_pause2.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-strip "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_pause2.png"
	-$(INSTALL_FILE) "images/player_play.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-$(INSTALL_FILE) "images/player_play2.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-strip "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_play2.png"
	-$(INSTALL_FILE) "images/player_start.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-$(INSTALL_FILE) "images/player_start2.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-strip "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_start2.png"
	-$(INSTALL_FILE) "images/player_stop.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-$(INSTALL_FILE) "images/player_stop2.png" "$(INSTALL_ROOT)/usr/share/amarokFS/images/"
	-strip "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_stop2.png"


uninstall_images: 
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/gradient.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/logo.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/logoB.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_end.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_end2.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_pause.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_pause2.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_play.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_play2.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_start.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_start2.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_stop.png"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/images/player_stop2.png"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/share/amarokFS/images/"


install_desktop: all 
	@$(CHK_DIR_EXISTS) "$(INSTALL_ROOT)/usr/share/applications/" || $(MKDIR) "$(INSTALL_ROOT)/usr/share/applications/"
	-$(INSTALL_FILE) "amarokFS.desktop" "$(INSTALL_ROOT)/usr/share/applications/"


uninstall_desktop: 
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/applications/amarokFS.desktop"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/share/applications/"


install_icon: all 
	@$(CHK_DIR_EXISTS) "$(INSTALL_ROOT)/usr/share/icons/" || $(MKDIR) "$(INSTALL_ROOT)/usr/share/icons/"
	-$(INSTALL_FILE) "amarokFS.png" "$(INSTALL_ROOT)/usr/share/icons/"
	-strip "$(INSTALL_ROOT)/usr/share/icons/amarokFS.png"


uninstall_icon: 
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/icons/amarokFS.png"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/share/icons/"


install_defaultTheme: all 
	@$(CHK_DIR_EXISTS) "$(INSTALL_ROOT)/usr/share/amarokFS/" || $(MKDIR) "$(INSTALL_ROOT)/usr/share/amarokFS/"
	-$(INSTALL_FILE) "theme.xml" "$(INSTALL_ROOT)/usr/share/amarokFS/"


uninstall_defaultTheme: 
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/amarokFS/theme.xml"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/share/amarokFS/"


install_docs: all 
	@$(CHK_DIR_EXISTS) "$(INSTALL_ROOT)/usr/share/doc/amarokFS/" || $(MKDIR) "$(INSTALL_ROOT)/usr/share/doc/amarokFS/"
	-$(INSTALL_FILE) "README" "$(INSTALL_ROOT)/usr/share/doc/amarokFS/"
	-$(INSTALL_FILE) "theme-howto.txt" "$(INSTALL_ROOT)/usr/share/doc/amarokFS/"


uninstall_docs: 
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/doc/amarokFS/README"
	-$(DEL_FILE) -r "$(INSTALL_ROOT)/usr/share/doc/amarokFS/theme-howto.txt"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/share/doc/amarokFS/"


install: install_target install_images install_desktop install_icon install_defaultTheme install_docs  

uninstall: uninstall_target uninstall_images uninstall_desktop uninstall_icon uninstall_defaultTheme uninstall_docs

=== debian/changelog ===
amarokfs (0.4.2-9) unstable; urgency=low

  * mouse cursor will not hide when contextmenu or dialog shows up

 -- Martin Koßler <martin.kossler@students.uni-marburg.de>  Sun, 18 Mar 2007 23:23:06 +0100

amarokfs (0.4.2-8) unstable; urgency=low

  * added application icon
  * added about information
  * added command line options:
    + show config dialog
    + kiosk-mode: disable settings entry in context menu
  * config dialog is accessible from Amarok script management

 -- Martin Kossler <martin.kossler@students.uni-marburg.de>  Thu, 15 Mar 2007 17:35:19 +0100

amarokfs (0.4.2-7) unstable; urgency=low

  * mouse cursor will hide after five seconds
  * added contextmenu instead of settings button containing reload function
    for nextPlaying element

 -- Martin Kossler <martin.kossler@students.uni-marburg.de>  Mon, 12 Mar 2007 01:38:20 +0100

amarokfs (0.4.2-6) unstable; urgency=low

  * Added List of next Songs in playlist. This is to be activated in the theme
    through the new nextPlaying element
  * Fixed Amarok-Script so that it will show multiple menu options only if
    more than one X-Screen exists

 -- Martin Kossler <martin.kossler@students.uni-marburg.de>  Fri,  2 Mar 2007 19:23:38 +0100

amarokfs (0.4.2-5) unstable; urgency=low

  * progressbar now changes every second
  * theme fix: pause button now triggers playPause

 -- Martin Kossler <martin.kossler@students.uni-marburg.de>  Thu,  1 Mar 2007 17:50:09 +0100

amarokfs (0.4.2-4) unstable; urgency=low

  * Config Dialog Layout patched with code from fedora cvs
  * fixed typos in theme-howto.txt
  * Updated paths in Readme 

 -- Martin Kossler <martin.kossler@students.uni-marburg.de>  Wed, 28 Feb 2007 17:27:32 +0100

amarokfs (0.4.2-3) unstable; urgency=low

  * better gradient.png (svg with radial gradient converted to png)
  * If Cover is less than 300px high it will be aligned at the bottom to avoid
    the gap between cover and reflection

 -- Martin Kossler <martin.kossler@students.uni-marburg.de>  Wed, 21 Feb 2007 18:04:10 +0100

amarokfs (0.4.2-2) unstable; urgency=low

  * the patch for ignoring stupid dcop-results only worked for trackLabel, now
    for instantLabel too.
  * positioning fix on standard theme
  * better multi-screen-hack (but not right optimal)

 -- Martin Kossler <martin.kossler@students.uni-marburg.de>  Thu, 15 Feb 2007 19:28:42 +0100

amarokfs (0.4.2-1) unstable; urgency=low

  * Version 0.4.2 from kde-apps.de by Jan Zarnikov <jan.zarnikov@gmail.com>
  * patched to use common ubuntu-paths (/usr/ instead of /usr/local/)
  * Added and modfied patch that allows to disable the OSD while running
    amarokFS (original posted to the comments at kde-apps.de by Matthias
    Fehring) and to disable the hint shown at startup.
  * Patch to the cover-extractor - now the correct cover is chosen independent
    from the size of the cover-preview
  * Fixed behavior on dual-screen setup: The setting button won't show up any
    more when mouse is on second screen.
  * uses modified isimplydark-theme as standard
  * Added amarok-script so that we are able to access amarokFS from
    within amarok. So the desktopmenu entry can also get removed.
  * Added xml-tag for theme-file which allows to supress stupid dcop-results.
    Instead a defaultText can be defined.

 -- Martin Kossler <martin.kossler@students.uni-marburg.de>  Wed, 14 Feb 2007 19:15:31 +0100

=== debian/control ===
Source: amarokfs
Section: unknown
Priority: optional
Maintainer: Martin Koßler <martin.kossler@students.uni-marburg.de>
Build-Depends: cdbs, debhelper (>= 5), libqt3-headers, kdelibs4-dev
Standards-Version: 3.7.2

Package: amarokfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, amarok
Description: Full Screen Frontend for Amarok
 This is a full screen front end for Amarok. The look can be changed by custom THEMES.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/simple-patchsys.mk


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/amarokfs.sgml > amarokfs.1

	touch $@

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/amarokfs.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/amarokfs INSTALL_ROOT=$(CURDIR)/debian/amarokfs


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
